import 'package:diameter/settings.dart';

const keyApplicationId = 'DFfD2aeppmqQnVmox02kUZhYOUc7vAtGfunAP7hn';
const keyClientKey = '0ROGEVQP0Id21EMEqK05wJP3nBDuOW5DM5Cpzdt3';
const keyParseServerUrl = 'https://parseapi.back4app.com';

// settings
NutritionMeasurement nutritionMeasurement = NutritionMeasurement.grams;
GlucoseMeasurement glucoseMeasurement = GlucoseMeasurement.mgPerDl;
GlucoseDisplayMode glucoseDisplayMode = GlucoseDisplayMode.bothForList;

DateTime dummyDate = DateTime(2000);
String dateFormat = 'MM/dd/yy';
String? longDateFormat = 'MMMM dd, yyyy';
String timeFormat = 'HH:mm';
String? longTimeFormat = 'HH:mm:ss';

bool showConfirmationDialogOnCancel = true;
bool showConfirmationDialogOnDelete = true;
bool showConfirmationDialogOnStopEvent = true;

int lowGlucoseMgPerDl = 80;
int moderateGlucoseMgPerDl = 140;
int highGlucoseMgPerDl = 240;

double lowGlucoseMmolPerL = 4.44;
double moderateGlucoseMmolPerL = 7.77;
double highGlucoseMmolPerDl = 13.32;
