import 'package:diameter/main.dart';
import 'package:objectbox/objectbox.dart';

@Entity(uid: 2111511899235985637)
class MealPortionType {
  static final Box<MealPortionType> box = objectBox.store.box<MealPortionType>();

  int id;
  String value;
  String? notes;

  MealPortionType({
    this.id = 0,
    this.value = '',
    this.notes,
  });

  static MealPortionType? get(int id) => box.get(id);
  static List<MealPortionType> getAll() => box.getAll();
  static void put(MealPortionType mealPortionType) => box.put(mealPortionType);
  static void remove(int id) => box.remove(id);
}
